- [HTTP request](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains.users/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains.users/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains.users/create#body.request_body)
  - [JSON representation](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains.users/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains.users/create#body.response_body)
- [Try it!](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains.users/create#try-it)

Creates a user, who has access to a domain. Returns INVALID_ARGUMENT if a user is not provided.

### HTTP request

`POST https://gmailpostmastertools.googleapis.com/v2/{parent=domains/*}/users`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this user will be created. Format: domains/{domain} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "userId": string, "permission": enum (`https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/Permission`) } ``` |

| Fields ||
|---|---|
| `userId` | `string` Required. The user to create. |
| `permission` | ``enum (`https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/Permission`)`` Optional. Specifies the permission level to give the user for the specified domain. If not specified, the default value for this field is READER. |

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2/domains.users#User`.